\section{Expected noise variance in Omicron spectrograms}\label{sec:appx_variance}

The signal-to-noise ratio in Omicron spectrograms is estimated with Eq.~\ref{eq:snr}. For a white noise, the squared amplitude of $Q$-transform coefficients, $\left|D_{H,L}(t, \phi, Q)\right|^2$, follows an exponential distribution with a mean value of 2~\cite{Chatterji:2004}: $f(x) = 1/\beta\times \exp(-x/\beta)$, where $x=|D|^2$ and $\beta=2$. Using this distribution, we can compute the expectation value for the signal-to-noise ratio in Omicron spectrograms for white noise:
\begin{align}
  \langle \hat{\rho} \rangle &= \int_{0}^{+\infty}\hat{\rho}(x)\times f(x)dx \\
  &= \frac{1}{\beta}\int_{\beta}^{+\infty}\sqrt{x-\beta}\exp(-x/\beta)dx \\
  &= \frac{e^{-1}}{\beta}\int_{0}^{+\infty}\sqrt{y}\exp(-y/\beta)dy \\
  &= \frac{\sqrt{\pi\beta}}{2}e^{-1}
  \label{eq:snr_expval}
\end{align}
where we have changed the variable: $y=x-\beta$.

Similarly, we can compute the variance of the signal-to-noise ratio:
\begin{align}
  \langle (\hat{\rho} - \langle \hat{\rho} \rangle)^2 \rangle &= \int_{0}^{+\infty}(\hat{\rho}(x) - \langle\hat{\rho}\rangle)^2\times f(x)dx \\
  &= \int_{0}^{\beta}\langle\hat{\rho}\rangle^2 f(x)dx + \int_{\beta}^{+\infty}(\sqrt{x-\beta}-\langle\hat{\rho}\rangle)^2 f(x)dx
\end{align}
The first term in the right-hand side is:
\begin{align}
  \int_{0}^{\beta}\langle\hat{\rho}\rangle^2 f(x)dx &= \frac{\langle\hat{\rho}\rangle^2}{\beta}\int_{0}^{\beta} \exp(-x/\beta)dx \\
  &= \langle\hat{\rho}\rangle^2\times (1-e^{-1})
\end{align}
The second term in the right-hand side can be calculated using $y=x-\beta$:
\begin{align}
  & \int_{\beta}^{+\infty}(\sqrt{x-\beta}-\langle\hat{\rho}\rangle)^2 f(x)dx \nonumber \\
  &\quad = \frac{e^{-1}}{\beta}\left(\int_{0}^{+\infty}y\exp(-y/\beta)dy + \langle\hat{\rho}\rangle^2\int_{0}^{+\infty}\exp(-y/\beta)dy - 2\langle\hat{\rho}\rangle\int_{0}^{+\infty}\sqrt{y}\exp(-y/\beta)dy\right) \\
  &\quad = \frac{e^{-1}}{\beta} (\beta^2 + \beta\langle\hat{\rho}\rangle^2 - \beta^{3/2}\sqrt{\pi}\langle\hat{\rho}\rangle) \\
  &\quad = e^{-1} (\beta + \langle\hat{\rho}\rangle^2 - \sqrt{\pi\beta}\langle\hat{\rho}\rangle)
\end{align}

Finally, using Eq.~\ref{eq:snr_expval}, the variance writes:
\begin{align}
  \langle (\hat{\rho} - \langle \hat{\rho} \rangle)^2 \rangle &= \langle\hat{\rho}\rangle^2\times (1-e^{-1}) + e^{-1} (\beta + \langle\hat{\rho}\rangle^2 - \sqrt{\pi\beta}\langle\hat{\rho}\rangle) \\
  &= \frac{\pi\beta}{4}e^{-2}(1-e^{-1}) + e^{-1} (\beta + \frac{\pi\beta}{4}e^{-2} - \frac{\pi\beta}{2}e^{-1}) \\
  &= \beta e^{-1} - \frac{\pi\beta}{4}e^{-2}
\end{align}
